<template>
  <div class="iframe-container" v-loading="loading">
    即将为你跳转，如果未跳转请点击<a href="https://gxt.hunan.gov.cn/gxt/ztzl/zxzj/zdbf/202404/t20240403_33269363.html" target="_blank">这里</a>
  </div>
</template>

<script setup>
import {onUnmounted, ref} from 'vue'

const loading = ref(false)
let a = setTimeout(() => {
  window.open('https://gxt.hunan.gov.cn/gxt/ztzl/zxzj/zdbf/202404/t20240403_33269363.html')
}, 1000)
onUnmounted(() => clearTimeout(a))
</script>

<style lang="scss">
.iframe-container {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  font-size: 30px;
  text-align: center;
  padding-top: 30%;

  a {
    color: blue;
  }

  .frame {
    width: 100%;
    height: 100%;
  }

  .example-showcase .el-loading-mask {
    z-index: 9;
  }
}

</style>